Bug 20026 - [XT3TS] as-1711
[XT3TS] as-1711
Status: CLOSED FIXED
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: XSLT 3.0 Test Suite
Working drafts
PC Windows 3.1
: P2 normal
: ---
Assigned To: Abel Braaksma
Mailing list for public feedback on specs from XSL and XML Query WGs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-20 16:16 UTC by Tim Mills
Modified: 2012-12-13 10:47 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Mills 2012-11-20 16:16:24 UTC
Test as-1711 uses the following environment.

   <environment name="as-17">
      <source role="." file="as-17.xml"/>
      <schema role="source-reference"
              file="builtinTypeSchemaAs.xsd"
              xsd-version="1.0"/>
   </environment>

I believe that the test requires that the source as-17.xml should be validated against the specified schema.  This should be indicated with the validation attribute on the source.
Comment 1 Tim Mills 2012-11-20 16:41:43 UTC
Environments as-17, as-18 and as-20 to 27 are also affected.
Comment 2 Michael Kay 2012-11-21 12:10:12 UTC
I'd like to move to using the validation attribute on <source> systematically, but for the moment you should probably treat role="source-reference" on the <schema> element as meaning the same thing.
Comment 3 Tim Mills 2012-11-22 14:32:46 UTC
I'd prefer to make the change and I'll commit it, unless you object?
Comment 4 Michael Kay 2012-11-22 15:40:11 UTC
Please go ahead.
Comment 5 Michael Kay 2012-12-11 22:16:42 UTC
The tests have been changed as suggested so I am marking this as resolved.
Comment 6 Tim Mills 2012-12-13 10:47:41 UTC
Confirmed fixed.  Thanks.